CREATE TABLE hz_geo_structure_levels_int (
    INTERFACE_ROW_ID          NUMBER(18, 0)    NOT NULL,
    BATCH_ID                  NUMBER(18, 0)    NOT NULL,
    COUNTRY_CODE              VARCHAR2(8)      NOT NULL,
    GEOGRAPHY_TYPE            VARCHAR2(120)    NOT NULL,
    GEOGRAPHY_TYPE_NAME       VARCHAR2(320),
    LEVEL_NUMBER              NUMBER(2, 0)     NOT NULL,
    PARENT_GEOGRAPHY_TYPE     VARCHAR2(120),
    ADDR_VAL_LEVEL            VARCHAR2(120),
    COUNTRY_GEOGRAPHY_ID      NUMBER(18, 0),
    GEOGRAPHY_TYPE_ID         NUMBER(18, 0),
    FORWARD_REL_TYPE_ID       NUMBER(18, 0),
    BACKWARD_REL_TYPE_ID      NUMBER(18, 0),
    GEO_STRUCTURE_LEVEL_ID    NUMBER(18, 0),
    INSERT_GEO_TYPE_FLAG      VARCHAR2(4)  ,
    INSERT_REL_TYPE_FLAG      VARCHAR2(4)  ,
    INSERT_STRUCT_FLAG        VARCHAR2(4)  ,
    ERROR_ID                  NUMBER(18, 0),
    FILE_RECORD_NUM           NUMBER(10, 0),
    IMPORT_STATUS_CODE        VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6) ,
    LAST_UPDATED_BY           VARCHAR2(256),
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATION_DATE             TIMESTAMP(6) ,
    CREATED_BY                VARCHAR2(256),
    FILE_NAME_SYSTASK_ID      NUMBER(18, 0),
    INTERFACE_ROW_ID          NUMBER(18, 0)    NOT NULL,
    BATCH_ID                  NUMBER(18, 0)    NOT NULL,
    COUNTRY_CODE              VARCHAR2(8)      NOT NULL,
    GEOGRAPHY_TYPE            VARCHAR2(120)    NOT NULL,
    GEOGRAPHY_TYPE_NAME       VARCHAR2(320),
    LEVEL_NUMBER              NUMBER(2, 0)     NOT NULL,
    PARENT_GEOGRAPHY_TYPE     VARCHAR2(120),
    ADDR_VAL_LEVEL            VARCHAR2(120),
    COUNTRY_GEOGRAPHY_ID      NUMBER(18, 0),
    GEOGRAPHY_TYPE_ID         NUMBER(18, 0),
    FORWARD_REL_TYPE_ID       NUMBER(18, 0),
    BACKWARD_REL_TYPE_ID      NUMBER(18, 0),
    GEO_STRUCTURE_LEVEL_ID    NUMBER(18, 0),
    INSERT_GEO_TYPE_FLAG      VARCHAR2(4)  ,
    INSERT_REL_TYPE_FLAG      VARCHAR2(4)  ,
    INSERT_STRUCT_FLAG        VARCHAR2(4)  ,
    ERROR_ID                  NUMBER(18, 0),
    FILE_RECORD_NUM           NUMBER(10, 0),
    IMPORT_STATUS_CODE        VARCHAR2(120),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6) ,
    LAST_UPDATED_BY           VARCHAR2(256),
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATION_DATE             TIMESTAMP(6) ,
    CREATED_BY                VARCHAR2(256),
    FILE_NAME_SYSTASK_ID      NUMBER(18, 0)
);
